[ Identification | Description | Input parameters | Output parameters | Links ]

# The `PSDlin_monitor` Component

Rectangular 1D PSD, measuring intensity vs. vertical position, x

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: May 7, 2001
- Version: 1.14

## Description

    Example: PSDlin_monitor(nx=20, filename="Output.x",
             xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nx | 1 | Number of x bins | 20
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
PSDlin_N | - | Array of neutron counts |
PSDlin_p | - | Array of neutron weight counts |
PSDlin_p2 | - | Array of second moments |

## Links

- Source code for `PSDlin_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]